function y = semidiscmap(z,dim,mapcell)
% Matrices for the semi-discretization:
% the first cell contains the mapping of the linear part
Phi = mapcell{1};
% The 2nd-4th cells contain matrices for the mapping of the nonlinear part
Ad = mapcell{2}; 
intexpA = mapcell{3};
fNLfunc = mapcell{4};
r_sd = length(z)/dim-1; % z is assumed to be of size: (dim*(r_sd+1),1)
fNL = fNLfunc(z(1:dim,1).',z(end-dim+1:end,1).');   % nonlinear part, which is approximated as piece-wise constant during the mapping
% The semidiscretization map
y = Phi*z+[Ad*intexpA*fNL;zeros(dim*r_sd,1)];       
    
